# MCA Calculations.R
MCA <- read.xlsx(FileName, sheet = 1, startRow = 1, colNames = TRUE,
  rowNames = FALSE, detectDates = FALSE, skipEmptyRows = TRUE,
  rows = NULL, cols = NULL, check.names = FALSE, namedRegion = NULL)
MCA # Check to be sure data is present
is.data.frame(MCA) # Check if data frame
dimnames(MCA) # Check dimension names
# Simple way to compute the sum of the product of Alpha and Price
Value = MCA$Alpha %*% MCA$Price # Sum of product (matrix multiplication)
# More transparent and readable approach
NItems <- length(MCA$Alpha)
Value1 <- 0
for(i in 1:NItems){
  Value1 = Value1 + MCA$Alpha[i]*MCA$Price[i]
}
# Using built in functions
Value2 = crossprod(MCA$Alpha, MCA$Price)
options(scipen = 999) # Do not present in scientific notation
Value; Value1; Value2 # Note these values are not printed when test file is run
# Illustration when you do want to print to console
print("MCA Calculation.R Value = ")
print(Value)
